package com.ccwangluo.ccim.modle;


public class Dialog {


    private Long contactUserId;
    private String contactUserName;
    private Long privateId;
    private DialogType dialogType;
    private NetStatus netStatus = NetStatus.NET_STATUS_ONLINE;
    private String extData;
    private Long readMsgId;
    private Long unreadCount = 0L;

    public void setUnreadCount(Long unreadCount) {
        this.unreadCount = unreadCount;
    }

    public Long getUnreadCount() {
        return unreadCount;
    }

    public Long getReadMsgId() {
        return readMsgId;
    }

    public void setReadMsgId(Long readMsgId) {
        this.readMsgId = readMsgId;
    }

    public Long getContactUserId() {
        return contactUserId;
    }

    public void setContactUserId(Long contactUserId) {
        this.contactUserId = contactUserId;
    }

    public String getContactUserName() {
        return contactUserName;
    }

    public void setContactUserName(String contactUserName) {
        this.contactUserName = contactUserName;
    }

    public Long getPrivateId() {
        return privateId;
    }

    public void setPrivateId(Long privateId) {
        this.privateId = privateId;
    }

    public DialogType getDialogType() {
        return dialogType;
    }

    public void setDialogType(DialogType dialogType) {
        this.dialogType = dialogType;
    }

    public NetStatus getNetStatus() {
        return netStatus;
    }

    public void setNetStatus(NetStatus netStatus) {
        this.netStatus = netStatus;
    }

    public String getExtData() {
        return extData;
    }

    public void setExtData(String extData) {
        this.extData = extData;
    }

    public enum DialogType{
        FRIEND,
        STRANGER
    }
}
